apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: order-api
  namespace: order-api
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: order-api
  minReplicas: 1
  maxReplicas: 10
  targetCPUUtilizationPercentage: 50